### org.jfree.layouting.input.style.selectors

# Class CSSCharacterDataSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`
  - - `org.jfree.layouting.input.style.selectors.CSSCharacterDataSelector`

Implemented Interfaces:
  CharacterDataSelector, CSSSelector, Selector, Serializable

`public class CSSCharacterDataSelector`
`extends AbstractSelector`
`implements CharacterDataSelector`

Creation-Date: 30.11.2005, 16:04:27

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSCharacterDataSelector(String data)`

  ## Method Summary

  `protected SelectorWeight`

  `createWeight()`

  `String`

  `getData()`
    Returns the character data.

  `short`

  `getSelectorType()`
    An integer indicating the type of `Selector`

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

  `createWeight`, `getWeight`

## Constructor Details

### CSSCharacterDataSelector

    public CSSCharacterDataSelector(String data)

## Method Details

### createWeight

    protected SelectorWeight createWeight()

> Overrides:
>   createWeight in interface AbstractSelector

### getData

    public String getData()

> Returns the character data.

### getSelectorType

    public short getSelectorType()

> An integer indicating the type of `Selector`